summaryrefslogtreecommitdiffstats
path: root/hosts/p64c-armhf-rb/etc/pbuilder/rebuild-hooks/C01_cleanup
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2017-06-02 13:18:04 +0200
committerHolger Levsen <holger@layer-acht.org>2017-06-02 13:18:04 +0200
commit344e2a492a776601c7e3b1843102d6918ba30cf0 (patch)
tree3718c8f2e9584f5facff9a1ebf67a7b7be25ddcf /hosts/p64c-armhf-rb/etc/pbuilder/rebuild-hooks/C01_cleanup
parent595ac0c255f140dfb20ef683e994554b93e263b1 (diff)
downloadjenkins.debian.net-344e2a492a776601c7e3b1843102d6918ba30cf0.tar.xz
reproducible Debian: fixup directory name and remake link
Signed-off-by: Holger Levsen <holger@layer-acht.org>
Diffstat (limited to 'hosts/p64c-armhf-rb/etc/pbuilder/rebuild-hooks/C01_cleanup')
-rwxr-xr-xhosts/p64c-armhf-rb/etc/pbuilder/rebuild-hooks/C01_cleanup21
1 files changed, 21 insertions, 0 deletions
diff --git a/hosts/p64c-armhf-rb/etc/pbuilder/rebuild-hooks/C01_cleanup b/hosts/p64c-armhf-rb/etc/pbuilder/rebuild-hooks/C01_cleanup
new file mode 100755
index 00000000..47719ae7
--- /dev/null
+++ b/hosts/p64c-armhf-rb/etc/pbuilder/rebuild-hooks/C01_cleanup
@@ -0,0 +1,21 @@
+#!/bin/sh
+
+set -e
+
+BUILDDIR="${BUILDDIR:-/tmp/buildd}"
+
+echo "debug output: disk usage on $(hostname) at $(date -u)"
+df -h
+echo
+
+# exit if we are in the same UTS namespace as init ( != 2nd build )
+[ "$(readlink /proc/1/ns/uts)" = "$(readlink /proc/self/ns/uts)" ] && exit 0
+
+# cease using disorderfs
+if [ -d /tmp/disorderfs ] ; then
+ echo -n "Unmounting /tmp/disorderfs…"
+ fusermount -z -u "$BUILDDIR"
+ rmdir "$BUILDDIR"
+ mv /tmp/disorderfs "$BUILDDIR"
+ echo " done."
+fi